darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Util.Ssh

Synopsis

- data SshSettings = SshSettings {
  - ssh :: String
  - scp :: String
  - sftp :: String
  }
- defaultSsh :: SshSettings
- windows :: Bool
- copySSH :: String -> SshFilePath -> FilePath -> IO ()
- data SSHCmd
  - = SSH
  - | SCP
  - | SFTP
- getSSH :: SSHCmd -> IO (String, [String])
- environmentHelpSsh :: ([String], [String])
- environmentHelpScp :: ([String], [String])
- environmentHelpSshPort :: ([String], [String])
- transferModeHeader :: String

# Documentation

data SshSettings #

Constructors

SshSettings |
Fields ssh :: String scp :: String sftp :: String

Instances

Eq SshSettings # |
Methods (==) :: SshSettings -> SshSettings -> Bool # (/=) :: SshSettings -> SshSettings -> Bool #
Show SshSettings # |
Methods showsPrec :: Int -> SshSettings -> ShowS # show :: SshSettings -> String # showList :: [SshSettings] -> ShowS #

defaultSsh :: SshSettings #

windows :: Bool #

copySSH :: String -> SshFilePath -> FilePath -> IO () #

data SSHCmd #

Constructors

SSH |
SCP |
SFTP |

getSSH :: SSHCmd -> IO (String, [String]) #

Return the command and arguments needed to run an ssh command First try the appropriate darcs environment variable and SSH_PORT defaulting to "ssh" and no specified port.

environmentHelpSsh :: ([String], [String]) #

environmentHelpScp :: ([String], [String]) #

environmentHelpSshPort :: ([String], [String]) #

transferModeHeader :: String #